package com.gic.haoban.manage.service.dao.mapper.chat;

import com.gic.haoban.manage.service.entity.chat.TabGroupChatActivity;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * 社群邀请有礼表(TabHaobanGroupChatActivity)表数据库访问层
 *
 * @author makejava
 * @since 2024-09-27 16:09:35
 */
public interface GroupChatActivityMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param chatActivityId 主键
     * @return 实例对象
     */
    TabGroupChatActivity queryById(Long chatActivityId);

    /**
     * 查询指定行数据
     *
     * @param tabGroupChatActivity 查询条件
     * @param pageable                   分页对象
     * @return 对象列表
     */
    List<TabGroupChatActivity> queryAllByLimit(TabGroupChatActivity tabGroupChatActivity, @Param("pageable") Pageable pageable);

    /**
     * 统计总行数
     *
     * @param tabGroupChatActivity 查询条件
     * @return 总行数
     */
    long count(TabGroupChatActivity tabGroupChatActivity);

    /**
     * 新增数据
     *
     * @param tabGroupChatActivity 实例对象
     * @return 影响行数
     */
    int insert(TabGroupChatActivity tabGroupChatActivity);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<TabHaobanGroupChatActivity> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<TabGroupChatActivity> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<TabHaobanGroupChatActivity> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<TabGroupChatActivity> entities);

    /**
     * 修改数据
     *
     * @param tabGroupChatActivity 实例对象
     * @return 影响行数
     */
    int update(TabGroupChatActivity tabGroupChatActivity);

    /**
     * 通过主键删除数据
     *
     * @param chatActivityId 主键
     * @return 影响行数
     */
    int deleteById(Long chatActivityId);

}

