package com.gic.haoban.manage.service.dao.mapper.chat;

import com.gic.haoban.manage.service.entity.chat.TabGroupChatActivityReward;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * 社群邀请有礼奖励规则表(TabHaobanGroupChatActivityReward)表数据库访问层
 *
 * @author makejava
 * @since 2024-09-27 16:09:56
 */
public interface GroupChatActivityRewardMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param chatActivityRewardId 主键
     * @return 实例对象
     */
    TabGroupChatActivityReward queryById(Long chatActivityRewardId);

    /**
     * 查询指定行数据
     *
     * @param tabGroupChatActivityReward 查询条件
     * @param pageable                         分页对象
     * @return 对象列表
     */
    List<TabGroupChatActivityReward> queryAllByLimit(TabGroupChatActivityReward tabGroupChatActivityReward, @Param("pageable") Pageable pageable);

    /**
     * 统计总行数
     *
     * @param tabGroupChatActivityReward 查询条件
     * @return 总行数
     */
    long count(TabGroupChatActivityReward tabGroupChatActivityReward);

    /**
     * 新增数据
     *
     * @param tabGroupChatActivityReward 实例对象
     * @return 影响行数
     */
    int insert(TabGroupChatActivityReward tabGroupChatActivityReward);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<TabHaobanGroupChatActivityReward> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<TabGroupChatActivityReward> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<TabHaobanGroupChatActivityReward> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<TabGroupChatActivityReward> entities);

    /**
     * 修改数据
     *
     * @param tabGroupChatActivityReward 实例对象
     * @return 影响行数
     */
    int update(TabGroupChatActivityReward tabGroupChatActivityReward);

    /**
     * 通过主键删除数据
     *
     * @param chatActivityRewardId 主键
     * @return 影响行数
     */
    int deleteById(Long chatActivityRewardId);

}

